function plot_SingleDecay(diagDecay, temp, mColor)

mixTimes        = diagDecay(temp.B).mixTimes;
DPrho           = diagDecay(temp.B).DPrho;
Const           = diagDecay(temp.B).Const; 
rho             = diagDecay(temp.B).rho; 

for i = 1:length(mixTimes)
    plot(mixTimes(i) , DPrho(i)','o','MarkerSize',6, 'MarkerEdgeColor', mColor);
end

m               = 0;
i               = 0;

for time = 0:0.001:mixTimes(length(mixTimes))
	  
    i           = i + 1;
	X(i)        = time;
    
	Y(i)        = Const * exp(-rho * X(i));

end

plot(X,Y, mColor);